Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.nativelibs4java.mono
Class MonoExceptionClause.data_union

    java.lang.Object
      com.sun.jna.Structure
          com.sun.jna.Union
              com.ochafik.lang.jnaerator.runtime.Union<MonoExceptionClause.data_union,MonoExceptionClause.data_union.ByValue,MonoExceptionClause.data_union.ByReference>
                  com.nativelibs4java.mono.MonoExceptionClause.data_union

All Implemented Interfaces:
  StructureType, StructureTypeDependent

Direct Known Subclasses:
  MonoExceptionClause.data_union.ByReference, MonoExceptionClause.data_union.ByValue

Enclosing class:
  MonoExceptionClause

    public static class MonoExceptionClause.data_union

extends Union<MonoExceptionClause.data_union,MonoExceptionClause.data_union.ByValue,MonoExceptionClause.data_union.ByReference>

Nested Class Summary
`static class` | `MonoExceptionClause.data_union.ByReference`
`static class` | `MonoExceptionClause.data_union.ByValue`

Field Summary
`MonoLibrary.MonoClass` | `catch_class`
`int` | `filter_offset`

Fields inherited from class com.sun.jna.Structure
`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

Constructor Summary
`MonoExceptionClause.data_union()`
`MonoExceptionClause.data_union(int filter_offset)`
`MonoExceptionClause.data_union(MonoLibrary.MonoClass catch_class)`

Method Summary
`protected MonoExceptionClause.data_union.ByReference` | `newByReference()`
`protected MonoExceptionClause.data_union.ByValue` | `newByValue()`
`protected MonoExceptionClause.data_union` | `newInstance()`

Methods inherited from class com.ochafik.lang.jnaerator.runtime.Union
`byReference, byValue, clone, read, readDependency, setDependency, setupClone, toArray, toArray, toArray, useMemory, write`

Methods inherited from class com.sun.jna.Union
`getNativeAlignment, getTypedValue, readField, setType, setTypedValue, writeField, writeField`

Methods inherited from class com.sun.jna.Structure
`allocateMemory, allocateMemory, autoRead, autoWrite, cacheTypeInfo, clear, ensureAllocated, equals, getAutoRead, getAutoWrite, getBitsAnnotation, getFieldOrder, getPointer, getStructAlignment, hashCode, newInstance, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setTypeMapper, size, sortFields, toString, useMemory`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.ochafik.lang.jnaerator.runtime.StructureType
`getPointer, size`

Field Detail

### filter_offset

    public int filter_offset

### catch_class

    public MonoLibrary.MonoClass catch_class

Constructor Detail

### MonoExceptionClause.data_union

    public MonoExceptionClause.data_union()

### MonoExceptionClause.data_union

    public MonoExceptionClause.data_union(int filter_offset)

### MonoExceptionClause.data_union

    public MonoExceptionClause.data_union(MonoLibrary.MonoClass catch_class)

Method Detail

### newByReference

    protected MonoExceptionClause.data_union.ByReference newByReference()

  Specified by:
    `newByReference` in class `Union<MonoExceptionClause.data_union,MonoExceptionClause.data_union.ByValue,MonoExceptionClause.data_union.ByReference>`

### newByValue

    protected MonoExceptionClause.data_union.ByValue newByValue()

  Specified by:
    `newByValue` in class `Union<MonoExceptionClause.data_union,MonoExceptionClause.data_union.ByValue,MonoExceptionClause.data_union.ByReference>`

### newInstance

    protected MonoExceptionClause.data_union newInstance()

  Specified by:
    `newInstance` in class `Union<MonoExceptionClause.data_union,MonoExceptionClause.data_union.ByValue,MonoExceptionClause.data_union.ByReference>`

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD